package apap.tutorial.penghitungBMI.controller;

import apap.tutorial.penghitungBMI.model.PenghitungBmi;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestParam;

@Controller
public class PenghitungBmiController {
    private String getPenghitungBmiPage(String beratBadan, String tinggiBadan, Model model){
        if (beratBadan.isEmpty() || tinggiBadan.isEmpty() || beratBadan.equals("0") || tinggiBadan.equals("0")){
            model.addAttribute("msg", "Isi berat dan tinggi badan Anda dengan benar!");
        }
        else{
            final PenghitungBmi penghitungBmi = new PenghitungBmi(beratBadan, tinggiBadan);
            model.addAttribute("penghitungBmi", penghitungBmi);
        }

        return "penghitungBmiPage.html";
    }

    @GetMapping(value = "/penghitung-BMI/{berat}/{tinggi}")
    public String penghitungBmiRequestParam(@PathVariable(value = "berat") String beratBadan, @PathVariable(value = "tinggi") String tinggiBadan, Model model){
        return getPenghitungBmiPage(beratBadan, tinggiBadan, model);
    }

}
