# Tutorial APAP
## Authors
* **Nirwana Pratiwi** - *1906399051* - *A*

## Tutorial 8
1. Pertanyaan 1: Apa itu Dockerfile dan docker-compose.yaml? Apa fungsinya?<br>
Dockerfile adalah suatu script yang dapat membuat containers di platform Docker secara otomatis.
<br>referensi:
https://www.datatrained.com/post/what-is-a-dockerfile/ <br>
docker-compose.yml adalah file yang diguanakan untuk konfigurasi Docker Compose, di mana file tersebut digunakan untuk men-deploy, meng-combine, dan mengkonfigurasikan banyak container Docker di waktu yang bersamaan.
<br> referensi:
https://stackoverflow.com/questions/44450265/what-is-a-docker-compose-yml-file#:~:text=A%20docker-compose.yml%20is%20a%20config%20file%20for%20Docker,every%20single%20process%20to%20its%20own%20Docker%20container.
<br><br><br>
2. Pertanyaan 2: Screenshot hasil perubahan anda. Setelah anda menyelesaikan tutorial ini, menurut anda, mengapa kita perlu mengganti port?
Screenshoot: https://drive.google.com/file/d/1eF59zLCzzWDNG3e_SQYDgXCmxKLXQWeG/view?usp=sharing
<br>
Karena sebenarnya port itu seperti identitas untuk "mengakses" sesuatu. Analoginya misalnya kita lagi "ngantri" untuk diperiksa oleh dokter, terus dikasih nomor antrian. Mustahil dapat nomor antrian yang sama, karena nanti akan overlap. Dokter pasti hanya bisa memanggil satu orang saja/1x checkup. Orang yang berbeda akan "dipanggil" dengan nomor antrian yang berbeda pula.
<br> Tambahan, term lain selain "identitas", port itu lebih mengarah ke pengertian bahwa port adalah bagian dari alamat di mana client bisa me-reference suatu service tertentu. Jadi kalau misalnya ada dua program yang mengakses ke port yang sama, sistem akan bingung ini sebenarnya nge-reference-nya ke mana. Seperti di contoh kasus nginx itu kan sama-sama akses localhost:9090 tapi port-nya dispesifikasi supaya tidak overlap. Jadi nanti dua-duanya bisa diakses tapi gantian, dengan port yang berbeda.
<br>
referensi: 
   - https://www.networkwebcams.co.uk/blog/2010/02/17/network-port-and-why-do-i-need-one/#:~:text=The%20most%20common%20reason%20for%20needing%20to%20use,your%20cameras%20which%20are%20both%20on%20port%2080.
   - https://stackoverflow.com/questions/50888270/why-do-we-need-to-specify-a-port-number-while-using-http-protocol
<br><br><br>
3. Pertanyaan 3: Mengapa terdapat versi dev dan prod? File apa yang menentukan konfigurasi mana yang dipakai? Apa yang harus dilakukan untuk menjalankan versi prod? (hint: baca file pada langkah 3 dengan teliti)
<br>
Agar bisa dibedakan mana yang untuk development (dev) dan mana yang untuk production (prod).
<br>
Kalau dev itu untuk development dan productivity; kalau prod untuk performance dan scalability
<br>Biasanya kan sebelum dibedakan, hanya ada 1 application.properties untuk konfigurasi server, port, dll. tapi karena ini dibagi,
untuk konfigurasi itu menggunakan versi yang prod. Pun kalau dilihat dari isinya, yang bisa spesifikasikan port itu yang versi prod.
Lebih lanjut, untuk versi prod dia referencenya ke db:3306 sedangkan versi dev referencenya ke localhost:3306. Tetapi kalau melihat defaultnya sih
yang digunakan itu yang dev (kalau lihat di application.yml).<br>
Agar bisa menjalankan versi prod ya harus akses halaman dengan port yang udah dispesifikasikan.
<br> referensi:<br>
   - https://stackoverflow.com/questions/52207622/the-difference-between-application-prod-yml-and-application-dev-yml-in-a-jhipste
   - https://riptutorial.com/spring-boot/example/21856/dev-and-prod-environment-using-different-datasources
<br><br><br>
4. Pertanyaan 4: Apa saja yang terjadi di langkah ini?
- Melakukan gradle build untuk aplikasi belajarbelajar (di folder belajarbelajar)
- Karena file docker-compose.yml (untuk konfigurasi docker-nya) ada di direktori tutoria-apap, maka kita harus keluar dulu dari direktori belajarbelajar
- Setelah ada di direktori belajarbelajar, kita bisa run command docker-compose up
- Command tersebut digunakan untuk membuat container docker di mana semua aplikasi akan dijalankan di standalone host/environment yang terisolasi, yang berisi banyak service yang dibutuhkan oleh aplikasi tersebut.
<br>catatan: melalui langkah-langkah yg dispesifikasikan, kita dapat menjalankan aplikasi belajarbelajar hingga ke bagian login karena pengelolaan database dengan xampp belum dilakukan
<br>referensi:<br>
  - https://www.howtogeek.com/devops/what-is-docker-compose-and-how-do-you-use-it/
  - https://www.educba.com/docker-compose-up/
    <br><br><br>
5. Pertanyaan 5: Sertakan screenshot container yang sedang berjalan (versi gui atau cli, pilih salah satu). Apa itu docker container, images, dan volume?
   Screenshoot: https://drive.google.com/file/d/1sGqvmw-ked35Q2DyDkvNVrTEwIJk1mRC/view?usp=sharing
<br>
Docker container adalah unit standar dari suatu software yang membungkus semua kode dan dependensinya agar aplikasi bisa berjalan di suatu environment. Fungsinya sih hampir sama dengan virtual machine tapi lebih ringan.
<br> referensi: https://www.docker.com/resources/what-container/
<br> images adalah executable package yang barisi semua yang dibutuhkan agar suatu aplikasi dapat berjalan.
images menginformasikan container bagaimana container harus menginstansiasi, menentukan software mana yang akan di-run dan bagaimana caranya, dsb.
<br> referensi: https://www.geeksforgeeks.org/what-is-docker-images/
<br> volumes adalah suatu mekanisme penyimpanan yang digunakan untuk penyimpanan data yang persisten yang dibentuk dan digunakan oleh container.
<br> referensi: 
   - https://www.educba.com/docker-volume/
   - https://docs.docker.com/storage/volumes/
     <br><br><br>
6. Pertanyaan 6: Apa perbedaan docker-compose down dan stop?
docker-compose down digunakan menghentikan container dan menghapus/membuang container, networks, volumes, dan bahkan images yang sebelumnya dibuat dengan command docker-compose up.
docker-compose stop hanya digunakan untuk menghentikan containernya saja, tanpa menghapusnya. Nanti bisa distart lagi dengan docker-compose start
<br>referensi
   - pengalaman saat mengerjakan tutorial
   - https://stackoverflow.com/questions/63740108/what-is-the-difference-between-docker-compose-commands-down-kill-and-sto
     <br><br><br>
7. Pertanyaan 7: Sertakan screenshot mengakses laman kirti milik anda melalui browser (seperti screenshot di atas)
screenshoot: https://drive.google.com/file/d/1n4lb6r6sSarWMQu_u3PSvmf3iw4NNiQX/view?usp=sharing
   <br><br><br>
8. Pertanyaan 8: Ceritakan pengalaman anda melakukan deployment ke Kirti. Kendala apa yang anda alami?
Pertama kan harus clone tutorial-apap dlu ke server kirti. Jadi kalau ada perubahan pull-nya harus masuk kirti dlu.
Jadi nanti build dan compose dockernya itu di server kirti, bukan di local lagi.
Pengalamannya cukup membuat saya kesulitan ketika menemukan error:
- "Could not find an available, non-overlapping IPv4 adress pool among the defaults to assign to the network";
yang mana itu ternyata karna banyak yang akses kirti sehingga servernya penuh. sudah sampai batas maksimal "nampung"-nya.<br>
referensi: https://stackoverflow.com/questions/50911108/php-cli-error-could-not-find-an-available-non-overlapping-ipv4-address-pool
- Selain error, ternyata kalau akses lewat cmd itu prosesnya lebih lama dibanding lewat Putty.
  <br><br><br>
9. Pertanyaan 9: Buka container docker Anda, lalu screenshot. Apa perbedaan tampilan container sekarang dengan tampilan container pada langkah tutorial docker di awal tadi?
Screenshoot: https://drive.google.com/file/d/1wF8J9pAeTpj3RjLBIVTzA0A1V_YJLJ3G/view?usp=sharing
Beda, kalau yang diawal hanya ada 2 container, yg webnya hanya satu dengan port 10057.
<br> kalau yang ini ada 3 container, dan container webnya ada 2, satu portnya 10057 dan satunya lagi 10058.
<br><br><br>
10. Pertanyaan 10: Sertakan screenshot tampilan web ketika pertama kali menjalankan localhost:9090 dan tampilan web ketika halaman di-refresh.
<br> Saat akses pertama kali: https://drive.google.com/file/d/1MwCF83Ypuo9VTJ3iJYloPY-2I_ac7meT/view?usp=sharing
<br> Setelah halaman direfresh: https://drive.google.com/file/d/1F7l0bluiwzP9ROhQNa_cYpDmCJdR21gi/view?usp=sharing
<br><br><br>
11. Pertanyaan 11: Kendala apa yang anda hadapi ketika melakukan tutorial bagian nginx?
- Saat instalasi nginx saya sempat tidak tahu apakah nginx sudah berhasil terinstalasi atau tidak, jadi harus cek Task Manager
- Saat merubah file nginx conf saya sempat bingung karena saat itu membukanya lewat Notepad, jadi tidak sadar kalau sebagian line di-comment (error 502 Bad Gateaway)
- Ini yang fatal dan bikin pusing: saya aksesnya lewat server kirti, harusnya di docker local saja :") karena hal ini saya menemukan error "Error has occured")


## Tutorial 7
1. Jelaskan secara singkat perbedaan Otentikasi dan Otorisasi! Di bagian mana (dalam kode yang telah anda buat) konsep tersebut diimplementasi?
Otentikasi digunakan untuk memastikan apakah user sudah terdaftar atau belum, sementara Otorisasi digunakan untuk memberikan hak akses terhadap suatu fitur tertentu. 
Otentikasi pada kode itu di proses login, sementara otorisasi pada kode yg dibuat itu seperti yang diminta di latihan, misalnya fitur Lihat Daftar User itu hanya bisa diakses oleh role Admin.
2. Apa itu BCryptPasswordEncoder? Jelaskan secara singkat cara kerja dan tujuannya.
Fitur untuk mengenkripsi password sehingga data password yang tersimpan di database bukan password sebenarnya yang diinput dalam form.
3. Apakah penyimpanan password sebaiknya menggunakan encryption atau hashing? Mengapa demikian?
Menurut saya keduanya dapat dipakai, akan tetapi saya condong kepada pendapat untuk lebih menggunakan hashing karena bentuk asli dari password sudah tidak dapat dikembalikan lagi seperti encryption.
4. Jelaskan secara singkat apa itu UUID beserta penggunaannya!
UUID digunakan untuk mengidentifikasi informasi unik di dalam sistem. Contohnya seperti atribut username itu digenerate dari UUID sehingga user tidak akan memiliki username yang sama.
5. Apa kegunaan class UserDetailsServiceImpl.java? Mengapa harus ada class tersebut?
Karena UserDetailsServiceImpl.java digunakan untuk mengambil role user untuk kepentingan otorisasi.


## Tutorial 6
1. Perhatikan apa yang terjadi pada file index.html pada branch feat/tutorial-6-advancedgit-1. Apa yang terjadi setelah git cherry-pick dilakukan? Apakah kita bisa melakukan cherrypick tanpa harus melakukan commit?
bagian <body> pada file index.html terhapus dan isi file kembali ke awal saat hanya ada <head> nya saja. kalau tadi saya coba jika hanya dengan git commit -m "<commit msg>" tidak bisa, tetapi untuk mengakalinya dapat dilakukan perintah --no-commit di mana hal tsb akan mengeksekusi cherry pick, akan tetapi alih-alih membuat commit baru, jika melakukan --no-commit, maka konten commit target akan dipindahkan ke direktori yang sedang kita kerjakan
2. Conflict ini terjadi karena isi file index.html yang ada di kedua branch tersebut berbeda, tepatnya di bagian <body>-nya.
3. Apa yang terjadi pada log history setelah melakukan rebase (branch rebase-1 dan rebase-2)? Sertakan screenshot log history anda pada kedua branch tersebut!
screenshoot: https://drive.google.com/file/d/1PiuCJZ-mhfOUAK_wc5B7MMeI8e0C37hW/view?usp=sharing
yang terjadi: rebase.txt sudah selesai disolved conflict-nya. Terdapat file a.txt pada rebase 1 dan terdapat hasil resolve rebase.txt beserta b.txt di rebase-2  
4. Jelaskan perbedaan dari "rebase –continue", "rebase –skip", dan "rebase –abort"!
rebase --continue: digunakan untuk mengulang kembali proses rebase setelah merge conflict berhasil di resolve.
rebase --skip: digunakan untuk mengulang kembali proses rebase dengan mengabaikan current patch nya
rebase --abort: digunakan untuk membatalkan proses rebase dan mereset HEAD ke original branch.
5. Jelaskan perbedaan git rebase dan git merge!
Sesuai namanya, rebase digunakan untuk mengambil commit dari branch lain, sementara git merge merujuk kepada proses penggabungan dua branch dan akan menghasilkan satu commit baru.
6. Pada tahap ini apakah yang terjadi pada direktori git-stash?
Secara kasat mata, direktori git-stash hilang dari direktori tutorial-6 dan kondisi commit sebelumnya dikembalikan.
7. Apa yang terjadi pada file abc.txt setelah melakukan git reset --hard? Bagaimana kondisi lognya? Apa perbedaan git reset dengan git revert?
file abc.txt akan berubah kembali ke kondisi awal sebelum dilakukan update.
git reset: mengembalikan keadaan file seperti sebelum adanya perubahan di mana perubahan tersebut akan dihapus
git revert: mengembalikan keadaan file seperti sebelumnya namun akan digabungkan dengan kondisi yang sekarang


## Tutorial 5
1. Apa itu Postman? Apa kegunaannya?
Postman semacam repository API. Digunakan untuk mengelola API yang kita punya. Postman memudahkan dalam melakukan pengiriman
dan penerimaan request karena tidak perlu memakai framework lain lagi. Postman mengirim API request ke web server dan menerima response, apa pun bentuk dari response.
2. Jelaskan fungsi dari anotasi @JsonIgnoreProperties dan @JsonProperty.
   @JsonIgnoreProperties adalah salah satu anotasi yang digunakan untuk mengabaikan <ignore> suatu properti logis tertentu yang ditentukan saat melakukan serialisasi dan deserialisasi JSON.
@JsonProperty adalah salah satu anotasi untuk menandai suatu properti agar menjadi "milik" JsonProperty dan bisa diberikan nama properti dalam tanda kurung yang menyertai anotasi.
3. Apa kegunaan atribut WebClient? WebClient adalah interface yang merepresentasikan gate utama untuk melakukan request pada web
4. Apa itu ResponseEntity dan BindingResult? Apa kegunaannya? ResponseEntity merupakan objek untuk merepresentasikan HTTP response keseluruhan. Beberapa hal yg bisa dikontrol oleh objek tersebut: status code, header, and body.

## Tutorial 4
1. Jelaskan perbedaan th:include dan th:replace!
th:include artinya code yang ada di fragment akan disisipkan di dalam <div> tag
Sementara th: replace artinya mengganti tag yang sekarang dengan tag/ snippet code yang ada di fragment
2. Jelaskan apa fungsi dari th:object!
Digunakan untuk menspesifikasikan object mana yang akan disubmit ke form
3. Jelaskan perbedaan dari * dan $ pada saat penggunaan th:object! Kapan harus dipakai?
kalau $ lebih kepada object mana yang ingin diseleksi di th:object, sementara kalau * untuk mengakses atribut yang ada di object yg sudah dispesifikasikan

## Tutorial 3
1. Tolong jelaskan secara singkat apa kegunaan dari anotasi-anotasi yang ada pada model (@AllArgsConstructor, @NoArgsConstructor, @Setter, @Getter, @Entity, @Table)
@AllArgsConstructor: Membuat constructor dengan parameter setiap atribut yang diinisiasi dalam kelas yang ada pada model secara otomatis
@NoArgsConstructor: Sesuai dengan namanya, "no", anotasi ini digunakan untuk membuat constructor tanpa parameter secara otomatis
@Setter: Membuat method setter default secara otomatis
@Getter: Membuat method getter default secara otomatis
@Entity: Representasi data yang disimpan pada table yang ada di database
@Table: Digunakan untuk menentukan detail dari table yang digunakan oleh entity dalam database
2. Pada class CourseDb, terdapat method findByCodeUsingQuery dan findByCode, apakah perbedaan kedua method tersebut? Jelaskan juga kegunaan @Query pada method findByCodeUsingQuery!
findByCodeUsingQuery: method untuk mendapatkan course berdasarkan kode namun dengan menggunakan query SQL, sementara findByCode mencari berdasarkan kode dengan bantuan method finder dari JPA.
Menurut saya, findByCodeUsingQuery, digunakan apabila ingin melakukan query SQL yang rumit, yang mungkin tidak disediakan method khususnya
Jelaskan perbedaan kegunaan dari anotasi @JoinTable dan @JoinColumn
@JoinTable: untuk memetakan relasi table dengan table lain
@JoinColumn: untuk memetakan relasi kolom dengan kolom lain
3. Pada class Pengajar, digunakan anotasi @JoinColumn pada atribut Course, apa kegunaan dari name, referencedColumnName, dan nullable dalam anotasi tersebut? dan apa perbedaan nullable dan penggunaan anotasi @NotNull
name: nama kolom yang menjadi foreign key
referencedColumnName: nama kolom yang akan direferensi oleh foreign key (yg dispesifikasikan di name) tadi
nullable: apakah kolom foreign keynya boleh null atau tidak
@NotNull menandakan bahwa elemen yang dianotasi harus ada di table, sementara nullable untuk mengindikasikan apakah field tertentu boleh diisi nilai/value atau tidak dengan kondisi boolean true/false.
4. Jelaskan kegunaan FetchType.LAZY, CascadeType.ALL, dan FetchType.EAGER
FetchType.LAZY: kalau record tidak diambil, maka record tidak dimuat
FetchType.EAGER: record akan tetap termuat meski tidak diambil, mengikuti parent entity-nya
CascadeType.ALL: kalau parentnya dikenakan aksi, semua aksi tersebut akan dikenakan pula ke child nya

## Tutorial 2
1. Cobalah untuk menambahkan sebuah Course dengan mengakses link berikut:
http://localhost:8080/course/add?code=APAP&nameCourse=APAP%20Tutorial2&description=2020%20Fasilkom&jumlahSks=3 
Apa yang terjadi? Jelaskan mengapa hal tersebut dapat terjadi

Terdapat error "Whitelabel Error Page" yang mengindikasikan bahwa "..template might not exist..." hal ini bersesuaian dengan langkah yang belum selesai saya kerjakan, yakni membuat template html untuk menampilkan kodingan add course.

2. Pertanyaan 2: Menurut kamu anotasi @Autowired pada class Controller tersebut merupakan implementasi dari konsep apa? Dan jelaskan secara singkat cara kerja @Autowired tersebut dalam konteks service dan controller yang telah kamu buat.

Implementasi dari konsep Dependency Injection, yakni sebuah teknik di mana sebuah object men-supply dependency object lain.

3. Pertanyaan 3: Cobalah untuk menambahkan sebuah Course dengan mengakses link berikut: http://localhost:8080/course/add?code=APAP&nameCourse=APAP%20Tutorial2&jumlahSks=3   Apa yang terjadi? Jelaskan mengapa hal tersebut dapat terjadi.

Terdapat error "Whitelabel Error Page" yang mengindikasikan bahwa "Required request parameter 'description' for method parameter type String is not present". Hal ini dikarenakan saya tidak memasukkan nilai dari parameter description yang seharusnya ada.

4. Pertanyaan 4: Jika Papa APAP ingin melihat Course dengan kode APAP, link apa yang harus diakses?
http://localhost:8080/course/view/code-course/APAP 

5. Pertanyaan 5: Tambahkan 1 contoh Course lainnya sesukamu. Lalu cobalah untuk mengakses http://localhost:8080/course/viewAll  , apa yang akan ditampilkan? Sertakan juga bukti screenshotmu. 

Yang ditampilkan berupa daftar course baru yang ditambahkan. Saya menambahkan course dengan kode:CT - namaCourse:Communication Theories - description:Matkul Eksternal FISIP - Jumlah SKS Course:3
Bukti SS dapat dilihat di: https://drive.google.com/file/d/1ZYhMdEq6PGXfQXFtxQtFFEdxIQYyd9gf/view?usp=sharing


---
## Tutorial 1
### What I have learned today
(Masukkan pertanyaan yang diikuti jawaban di setiap nomor, contoh seperti dibawah. Anda
juga boleh menambahkan catatan apapun di bagian ini)
### GitLab
1. Apa itu Issue Tracker? Apa saja masalah yang dapat diselesaikan dengan Issue Tracker?
(Tuliskan jawabanmu)
Sesuai dengan namanya, Issue Tracker merupakan salah satu bantuan yang disediakan oleh Gitlab yang memungkinkan pengguna untuk dapat berkolaborasi dengan pengguna lain mengenai suatu ide, bersama-sama memecahkan suatu permasalahan, ataupun merencanakan suatu pekerjaan. Kolaborasi ini dapat dilakukan baik kepada pengguna yang berasal dari tim yang sama (internal) ataupun yang berasal dari kolaborator di luar tim internal.
Masalah yang dapat diselesaikan dengan Issue Tracker antara lain:
1) Mendiskusikan implementasi dari suatu ide
2) Melakukan pengecekan terhadap status dari tasks dan work (pekerjaan)
3) Menerima proposal, pertanyaan, laporan adanya bug, support requests terhadap suatu fitur yang telah dibuat
4) Melakukan elaborasi terhadap implementasi kode pemrograman
sumber: https://docs.gitlab.com/ee/user/project/issues/#:~:text=The%20GitLab%20issue%20tracker%20is%20an%20advanced%20tool,implementation%20between%3A%20You%20and%20your%20team.%20Outside%20collaborators.

2. Apa perbedaan dari git merge dan git merge --squash?
Bedanya pada git merge --squash, semua commits dari header branch digabungkan menjadi single commit saja, untuk kemudian ditambahkan ke main branch. 
Jadi jikalau kita ingin meng-commit "a" dan "b", pada merge itu dua-duanya di-commit sebagai "file yang terpisah"; sementara pada merge --squash, "a" dan "b" akan menjadi satu kesatuan saja, misal "a" saja, namun di dalam "a" itu ada "a" dan "b"-nya juga.
sumber: https://ooloo.io/project/github-flow/task-1-merge-vs-squash-merge

3. Apa keunggulan menggunakan Version Control System seperti Git dalam pengembangan
suatu aplikasi?
1) Me-manage dan melindungi source code
2) Dapat melacak perubahan yang terjadi pada kode kita
3) Membandingkan versi dari kode yang kita buat ke versi yang sebelumnya
4) Mendukung workflow dari para developer
sumber: https://www.simplilearn.com/tutorials/devops-tutorial/version-control#:~:text=%20Benefits%20of%20Version%20Control%20%201%20Managing,code%20are%20saved%2C%20this%20makes%20it...%20More%20

### Spring
4. Apa itu library & dependency?
5. Apa itu Gradle? Mengapa kita menggunakan Gradle? Apakah ada alternatif dari Gradle?
Gradle adalah open-source build automation tool yang memudahkan kita untuk membangun software apa saja (sumber: https://docs.gradle.org/current/userguide/what_is_gradle.html). Beberapa alasan menggunakan Gradle: Gradle dikenal sangat mudah untuk dikustomisasi apabila kita memiliki proyek yang berbeda dengan penggunaan jenis teknologi yang berbeda pula. Selain itu, Gradle support di kebanyakan IDE yang biasa dipakai. (sumber: https://www.simplilearn.com/tutorials/gradle-tutorial/what-is-gradle#what_is_gradle)

6. Selain untuk pengembangan web, apa saja yang bisa dikembangkan dengan Spring
framework? Pengembangan aplikasi mobile juga bisa. Desktop aplikasi seperti Transaction Management, Spring ORM juga bisa (sumber: https://stackoverflow.com/questions/18981281/can-i-use-the-spring-framework-for-non-web-applications)

7. Apa perbedaan dari @RequestParam dan @PathVariable? Kapan sebaiknya
menggunakan @RequestParam atau @PathVariable?
Bedanya kalau @RequestParam digunakan untuk mengakses value dari query parameter, kalau @PathVariable digunakan untuk mengakses value dari URI template (sumber: )
Bedanya kalau @RequestParam digunakan untuk mengakses value dari query parameter, kalau @PathVariable digunakan untuk mengakses value dari URI template (sumber: )
Bedanya kalau @RequestParam digunakan untuk mengakses value dari query parameter, kalau @PathVariable digunakan untuk mengakses value dari URI template dan digunakan di Spring MVC framework (sumber: https://www.dineshonjava.com/requestparam-vs-pathvariable-annotations-in-spring-mvc/#:~:text=The%20key%20difference%20between%20%40RequestParam%20and%20%40PathVariable%20is,for%20accessing%20the%20values%20from%20the%20URI%20template.)
### What I did not understand
(tuliskan apa saja yang kurang Anda mengerti, Anda dapat men-_check_ apabila Anda
sudah mengerti dikemudian hari, dan tambahkan tulisan yang membuat Anda mengerti)
- [ ] Beberapa pertanyaan tidak saya telusuri secara menyeluruh karena keterbatasan waktu (Sebelumnya terkendala dalam masalah Intellij account)
- [ ] Kenapa saya harus belajar APAP?
- [x] Kenapa?
Karena agar nantinya ketika membangun sistem, meskipun tidak detail mengetahui sisi technicalnya, setidaknya saya punya pre knowledge terlebih dahulu terhadap komponen-komponen yang bisa digunakan untuk membantu membangun sistem perusahaan saya menjadi lebih baik.
