package apap.tutorial.belajarbelajar.service;
import java.util.List;
import apap.tutorial.belajarbelajar.model.CourseModel;
import apap.tutorial.belajarbelajar.model.PengajarModel;
import apap.tutorial.belajarbelajar.rest.CourseDetail;
import reactor.core.publisher.Mono;


public interface PengajarRestService {
    PengajarModel createPengajar(PengajarModel pengajar);
    PengajarModel updatePengajar(Long noPengajar, PengajarModel pengajarUpdate);
    PengajarModel getPengajarByNoPengajar(Long noPengajar);
    List<PengajarModel> retrieveListPengajar();
    void deletePengajar(Long noPengajar);
    //Mono<String> getPrediction(Long noPengajar);
    String getPrediction(Long noPengajar);

}
